Matthew Verive

Tag to detect Cloud Agent version

Discussion created by Matthew Verive on Nov 22, 2019

I'm trying to add a tag to all my assets running "old" Cloud Agent versions - presently, that would be all Windows agents before 3.1.0.140, Linux agents before 2.4.0.71, and Mac agents before 2.3.2.59. I can easily do a query in the Cloud Agent module to find this (agentVersion<3.1.0.140 and operatingSystem:Windows), but can't seem to find a way to dynamically tag assets that fit this criteria.

 

Is there a QID that reports the Cloud Agent version, or a Groovy script that can check the version?

Outcomes